package org.jboss.crypto;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import java.io.IOException;
import java.net.InetAddress;
import java.net.ServerSocket;
import java.net.Socket;
import javax.crypto.SecretKey;
import org.jboss.crypto.CipherSocket;

public class CipherServerSocket extends ServerSocket {
  String algorithm;
  
  SecretKey key;
  
  public CipherServerSocket(int port, int backlog, InetAddress bindAddr, String algorithm, SecretKey key) throws IOException {
    super(port, backlog, bindAddr);
    this.algorithm = algorithm;
    this.key = key;
  }
  
  public Socket accept() throws IOException {
    Socket s = super.accept();
    return (Socket)new CipherSocket(s, this.algorithm, this.key);
  }
}
